# AbstractPublishToMaven

API Documentation: | `AbstractPublishToMaven`

Known Subtypes: |
`PublishToMavenRepository`

Note: This class is incubating and may change in a future version of Gradle.

Base class for tasks that publish a `MavenPublication`.

### Properties

Property | Description
`publication` | Incubating The publication to be published.

### Methods

No methods

### Script blocks

No script blocks

### Property details

#### `MavenPublication` `publication`

Note: This property is incubating and may change in a future version of Gradle.

The publication to be published.